## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanCAPI.h File Reference

Include dependency graph for XalanCAPI.h:

Go to the source code of this file.

## Defines

- #define XALAN_CAPI_HEADER_GUARD_1357924680

## Typedefs

- typedef void* XalanHandle
    Handle used to store the address of XalanTransformer instance. More...
- typedef const void* XalanCSSHandle
    Handle used to store the address of Compiled Stylesheet instance. More...
- typedef const void* XalanPSHandle
    Handle used to store the address of Parsed Source instance. More...
- typedef const char* XalanCCharPtr
    This is a typedef to work around limitations with the XALAN_TRANSFORMER_EXPORT_FUNCTION macro. More...
- typedef unsigned short XalanUTF16Char
    This is a typedef for characters encoded in UTF-16. More...

## Functions

- XALAN_TRANSFORMER_EXPORT_FUNCTION (int) XalanInitialize(void)
    Initialize Xerces and Xalan. More...
- XALAN_TRANSFORMER_EXPORT_FUNCTION (void) XalanTerminate(int fCleanUpICU)
    Terminate Xalan and Xerces. More...
- XALAN_TRANSFORMER_EXPORT_FUNCTION (XalanHandle) CreateXalanTransformer(void)
    Create a XalanTransformer instance. More...
- XALAN_TRANSFORMER_EXPORT_FUNCTION (int) XalanTransformToFile(const char *theXMLFileName, const char *theXSLFileName, const char *theOutFileName, XalanHandle theXalanHandle)
    Transform the XML source tree to the given result file. More...
- XALAN_TRANSFORMER_EXPORT_FUNCTION (void) XalanSetStylesheetParam(const char *key, const char *expression, XalanHandle theXalanHandle)
    Set a top-level stylesheet parameter. More...

## Define Documentation

#define XALAN_CAPI_HEADER_GUARD_1357924680

| Value:

## Typedef Documentation

typedef const char * XalanCCharPtr

| This is a typedef to work around limitations with the XALAN_TRANSFORMER_EXPORT_FUNCTION macro.

typedef const void * XalanCSSHandle

| Handle used to store the address of Compiled Stylesheet instance.

typedef void * XalanHandle

| Handle used to store the address of XalanTransformer instance.

typedef const void * XalanPSHandle

| Handle used to store the address of Parsed Source instance.

typedef unsigned short XalanUTF16Char

| This is a typedef for characters encoded in UTF-16.

## Function Documentation

XALAN_TRANSFORMER_EXPORT_FUNCTION ( | void ) const

  | Set a top-level stylesheet parameter. This value can be evaluated via xsl:param-variable. Parameters:
  key | name of the param
  expression | expression that will be evaluated
  theXalanHandle | handle of XalanTransformer instance.

XALAN_TRANSFORMER_EXPORT_FUNCTION ( | int ) const

  | Transform the XML source tree to the given result file. The processor will apply the stylesheet file to the input file and write the transformation result to a new output file. Parameters:
  theXMLFileName | filename of XML input source
  theXSLFileName | filename of stylesheet source
  theOutFileName | filename of output source
  theXalanHandle | handle of XalanTransformer instance.
Returns: 0 for success

XALAN_TRANSFORMER_EXPORT_FUNCTION ( | XalanHandle )

| Create a XalanTransformer instance. Returns: the XalanTransformer handle

XALAN_TRANSFORMER_EXPORT_FUNCTION ( | void )

  | Terminate Xalan and Xerces. Should be called only once per process after deleting all instances of XalanTransformer. Once a process has called this function, it cannot use the API until another call to XalanInitialize has been made. Optionally, if the ICU has been integrated, this will call the ICU clean up function. This must only be done if the ICU will no longer be used by the process, since the ICU will no longer be in a usable state. See the ICU documentation for more details. This is handy when using leak-detection software, as all static data allocated by Xalan (and optionally, the ICU) will be freed. Parameters:
  fCleanUpICU | If true, call the ICU clean up function.

XALAN_TRANSFORMER_EXPORT_FUNCTION ( | int )

| Initialize Xerces and Xalan. Should be called only once per process before making any other API calls. Returns: 0 if successful, -1 if initialization fails.

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.